<div class="content-header row">
  <div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
      <div class="col-12">
        <h2 class="content-header-title float-left mb-0">Liste des Rendez-vous</h2>
      
      </div>
    </div>
  </div>
  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
      <div class="dropdown">
        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
      </div>
    </div>
  </div>
</div>
<section id="data-thumb-view" class="data-thumb-view-header">
  <div class="row">
      <div class="col-12">
          <div class="card">
              <div class="card-header">
                  <h4 class="card-title"></h4>
              </div>
              <div class="card-content">

                  <div class="card-body card-dashboard">

                      <div class="table-responsive">
                          <a  href="creation_rendez-vous" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Ajouter Rendez-vous</a>

                          <table class="table zero-configuration table-striped" >

                              <thead>
                                  <tr>
                                      <th>CLIENT</th>
                                      <th>COURRIEL</th>
                                      <th>TEL</th>
                                      <th>DESCRIPTION</th>
                                      <th>DATE</th>       
                                      <th>LIEU</th>
                                      <th>ACTION</th>
                                  </tr>
                              </thead>
                              <tbody>
                                  <tr *ngFor="let r of rendezvous; index as i">
                                      <ng-container *ngFor="let c of clt">

                                      <td class="product-name" *ngIf="c.id === r.clientId">{{c.nom}}</td>
                                      </ng-container>
                                      <ng-container *ngFor="let c of clt">

                                      <td class="product-name" *ngIf="c.id === r.clientId">{{c.email}}</td>
                                     </ng-container>
                                     <ng-container *ngFor="let c of clt">

                                      <td class="product-name" *ngIf="c.id === r.clientId">{{c.tel}}</td>
                                   </ng-container>
                                    <td class="product-category">{{r.description}}</td>
                                    <td class="product-category">{{r.date |  date:'medium'}}</td>
                                    <td class="product-category">{{r.lieu}}</td>
                                    <td class="product-action">
                                      
                          
                                      <div class="dropdown">
                                       <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                       <div class="dropdown-menu dropdown-menu-right">
                                        <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                           
                                         <a class="dropdown-item" href="#" data-toggle="modal" (click)="deletePopup(r.id,r.description)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                       </div>
                                     </div>
                                     
                                     </td>

                                     <div class="modal modal-danger fade" id="modifier{{i}}">
                                      <div class="modal-dialog " role="document">
                                        <div class="modal-content" style="width:700px">
                                          <div class="modal-header">
                                            <h4 class="modal-title" id="myModalLabel4">Modifier Rendez-vous </h4>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                              <span aria-hidden="true">×</span>
                                            </button>
                                          </div>
                                          <div class="modal-body">
                                                 
                                            <div class="card-body">
                                              <form novalidate #f="ngForm" (ngSubmit)="update(f.value)">
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>{{InvalidFrom}}</span>
                                                </div>
                                              <div class="row">
                                                <div class="col-12">
                                                    
                                                  
                                                 
                                                  <!-- /.card-header -->
                                                  <div class="card-body">
                                                    <div class="row">
                                                      <div class="col-md-6">
                                                        
                                                        <!-- /.form-group -->
                                                        <div class="form-group">
                                                          <input type="hidden" class="form-control"  name="id" #id="ngModel" [(ngModel)]="r.id">

                                                            <label>Date </label>
                                                            <div class="select2-purple">
                                                                <input type="datetime-local" class="form-control" name="date" #date="ngModel"  [ngModel]="r.date| date:'yyyy-MM-ddTHH:mm'" (ngModelChange)="r.date = $event" required>
                                                                
                                                            </div>
                                                          </div>
                                                          
                                                        <!-- /.form-group -->
                                                      </div>
                                                      <!-- /.col -->
                                                      <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label>Client</label>
                                                            <select class="form-control select2" style="width: 100%;" name="client" #client="ngModel" [(ngModel)]="r.clientId"  required>
                                                              <option></option>
                                                              <option *ngFor="let c of clt" value="{{c.id}}">{{c.nom}} </option>
                                                              </select>
                                                          </div>     
                                                        <!-- /.form-group -->
                                                      </div>
                                                      <!-- /.col -->
                                                    </div>
                                                    <div class="row">
                                                      <div class="col-md-6">
                                                        <div class="form-group">
                                                          <label>Lieu </label>
                                                          <div class="select2-purple">
                                                              <input type="text" class="form-control" placeholder="Lieu" name="lieu" #lieu="ngModel" [(ngModel)]="r.lieu"  required>               
                                                          </div>
                                                        </div>
                                                      </div>
                                                      <div class="col-md-6">
                                                      <div class="form-group">
                                                        <label>Description</label>
                                                        <textarea class="form-control" name="description" #description="ngModel" [(ngModel)]="r.description"  required></textarea>
                                                      </div>
                                                    </div>
                                                    </div>
                                                    <!-- /.row -->
                                            
                                                    
                                                
                                                   
                                                    
                                            
                                                      
                                                      
                                                     
                                                      
                                            
                                                    <div class="col-md-4 offset-md-8" style="margin-top: 10px;">
                                                      <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light">Modifier Rendez-vous</button>
                                                      </div>
                                                  </div>
                                                  <!-- /.card-body -->
                                                 
                                               
                                             </div>
                                             </div>
                                             </form>
                                              <!-- /.row -->
                                            </div>
                                                  
                                    
                                    
                                    
                                          </div>
                                         
                                        
                                        </div>
                                        <!-- /.modal-content -->
                                      </div>
                                      <!-- /.modal-dialog -->
                                    </div>


                                  </tr>
                                 
                                       </tbody>                            
                              
                          </table>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- dataTable ends -->

  <!-- add new sidebar starts -->
 
  <div class="modal modal-danger fade" id="modal-danger2">
    <div class="modal-dialog " role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel4">Suppression Rendez-vous</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          <p>
          Voulez vous supprimer  Rendez vous 1
          </p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal">Supprimer</button>
        </div>
      
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>
  <!-- add new sidebar ends -->
</section>


